mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: David Jander <david@protonic.nl>
To: ptxdist@pengutronix.de,
	Michael Olbrich <m.olbrich@pengutronix.de>,
	Bastian Stender <bst@pengutronix.de>
Cc: Marc Kleine-Budde <mkl@pengutronix.de>, David Jander <david@protonic.nl>
Subject: [ptxdist] [PATCH 2/2] python3: version bump 3.7.10 -> 3.10.4
Date: Tue,  3 May 2022 09:50:29 +0200	[thread overview]
Message-ID: <20220503075029.1429521-3-david@protonic.nl> (raw)
In-Reply-To: <20220503075029.1429521-1-david@protonic.nl>

Besides version 3.7.10 being quite outdated, it lacks support for the
Linux kernel-based j1939 CAN protocol stack.

Signed-off-by: David Jander <david@protonic.nl>
---
 ...-don-t-leak-host-path-into-target-binaries.patch |  2 +-
 .../0002-python3-prevent-host-path-leakage.patch    | 13 +++++++------
 patches/{Python-3.7.10 => Python-3.10.4}/series     |  0
 rules/python3.make                                  | 10 +++++-----
 scripts/lib/ptxd_make_world_install.sh              |  2 +-
 5 files changed, 14 insertions(+), 13 deletions(-)
 rename patches/{Python-3.7.10 => Python-3.10.4}/0001-python3-don-t-leak-host-path-into-target-binaries.patch (94%)
 rename patches/{Python-3.7.10 => Python-3.10.4}/0002-python3-prevent-host-path-leakage.patch (84%)
 rename patches/{Python-3.7.10 => Python-3.10.4}/series (100%)

diff --git a/patches/Python-3.7.10/0001-python3-don-t-leak-host-path-into-target-binaries.patch b/patches/Python-3.10.4/0001-python3-don-t-leak-host-path-into-target-binaries.patch
similarity index 94%
rename from patches/Python-3.7.10/0001-python3-don-t-leak-host-path-into-target-binaries.patch
rename to patches/Python-3.10.4/0001-python3-don-t-leak-host-path-into-target-binaries.patch
index ac5e64d48..e59f7c649 100644
--- a/patches/Python-3.7.10/0001-python3-don-t-leak-host-path-into-target-binaries.patch
+++ b/patches/Python-3.10.4/0001-python3-don-t-leak-host-path-into-target-binaries.patch
@@ -13,7 +13,7 @@ diff --git a/setup.py b/setup.py
 index bf90600eaad3..9250f5a1b691 100644
 --- a/setup.py
 +++ b/setup.py
-@@ -1344,7 +1344,6 @@ class PyBuildExt(build_ext):
+@@ -1516,7 +1516,6 @@ class PyBuildExt(build_ext):
                          if dbm_setup_debug: print("building dbm using bdb")
                          dbmext = Extension('_dbm', ['_dbmmodule.c'],
                                             library_dirs=dblib_dir,
diff --git a/patches/Python-3.7.10/0002-python3-prevent-host-path-leakage.patch b/patches/Python-3.10.4/0002-python3-prevent-host-path-leakage.patch
similarity index 84%
rename from patches/Python-3.7.10/0002-python3-prevent-host-path-leakage.patch
rename to patches/Python-3.10.4/0002-python3-prevent-host-path-leakage.patch
index 36ece1f85..e4d5eed17 100644
--- a/patches/Python-3.7.10/0002-python3-prevent-host-path-leakage.patch
+++ b/patches/Python-3.10.4/0002-python3-prevent-host-path-leakage.patch
@@ -26,17 +26,18 @@ diff --git a/setup.py b/setup.py
 index 9250f5a1b691..3278aaf6e677 100644
 --- a/setup.py
 +++ b/setup.py
-@@ -587,10 +587,12 @@ class PyBuildExt(build_ext):
-         if not cross_compiling:
+@@ -829,10 +829,12 @@ class PyBuildExt(build_ext):
+         if not CROSS_COMPILING:
              add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
              add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
 +
 +            self.add_multiarch_paths()
 +
          # only change this for cross builds for 3.3, issues on Mageia
-         if cross_compiling:
-             self.add_gcc_paths()
+         if CROSS_COMPILING:
+             self.add_cross_compiling_paths()
 -        self.add_multiarch_paths()
+         self.add_ldflags_cppflags()
  
-         # Add paths specified in the environment variables LDFLAGS and
-         # CPPFLAGS for header and library files.
+     def init_inc_lib_dirs(self):
+
diff --git a/patches/Python-3.7.10/series b/patches/Python-3.10.4/series
similarity index 100%
rename from patches/Python-3.7.10/series
rename to patches/Python-3.10.4/series
diff --git a/rules/python3.make b/rules/python3.make
index abf82e1eb..dcc6235c0 100644
--- a/rules/python3.make
+++ b/rules/python3.make
@@ -15,8 +15,8 @@ PACKAGES-$(PTXCONF_PYTHON3) += python3
 #
 # Paths and names
 #
-PYTHON3_VERSION		:= 3.7.10
-PYTHON3_MD5		:= 9e34914bc804ab2e7d955b49c5e1e391
+PYTHON3_VERSION		:= 3.10.4
+PYTHON3_MD5		:= 21f2e113e087083a1e8cf10553d93599
 PYTHON3_MAJORMINOR	:= $(basename $(PYTHON3_VERSION))
 PYTHON3_SITEPACKAGES	:= /usr/lib/python$(PYTHON3_MAJORMINOR)/site-packages
 PYTHON3			:= Python-$(PYTHON3_VERSION)
@@ -116,8 +116,8 @@ $(STATEDIR)/python3.install.post:
 	 d=`cat $(PYTHON3_DIR)/pybuilddir.txt` && \
 	 cross_dir="$(PTXDIST_SYSROOT_CROSS)/lib/python$(PYTHON3_MAJORMINOR)" && \
 	 mkdir -p "$${cross_dir}" && \
-	 cp "$(PYTHON3_DIR)/$$d/_sysconfigdata_m_linux_$${m}.py" "$${cross_dir}" && \
-	 echo "_PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata_m_linux_$$m"	>> "$(CROSS_PYTHON3)" && \
+	 cp "$(PYTHON3_DIR)/$$d/_sysconfigdata__linux_$${m}.py" "$${cross_dir}" && \
+	 echo "_PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__linux_$$m"	>> "$(CROSS_PYTHON3)" && \
 	 echo "PYTHONPATH=$${cross_dir}"				>> "$(CROSS_PYTHON3)"
 	@echo 'PYTHONHASHSEED=0'					>> "$(CROSS_PYTHON3)"
 	@echo 'export _PYTHON_PROJECT_BASE _PYTHON_HOST_PLATFORM'	>> "$(CROSS_PYTHON3)"
@@ -165,7 +165,7 @@ $(STATEDIR)/python3.targetinstall:
 
 	@$(call install_copy, python3, 0, 0, 0755, -, /usr/bin/python$(PYTHON3_MAJORMINOR))
 	@$(call install_link, python3, python$(PYTHON3_MAJORMINOR), /usr/bin/python3)
-	@$(call install_lib, python3, 0, 0, 0644, libpython$(PYTHON3_MAJORMINOR)m)
+	@$(call install_lib, python3, 0, 0, 0644, libpython$(PYTHON3_MAJORMINOR))
 
 	@$(call install_copy, python3, 0, 0, 0644, -, /usr/lib/python$(PYTHON3_MAJORMINOR)/venv/scripts/common/activate)
 
diff --git a/scripts/lib/ptxd_make_world_install.sh b/scripts/lib/ptxd_make_world_install.sh
index 89dde2227..92cdcadfa 100644
--- a/scripts/lib/ptxd_make_world_install.sh
+++ b/scripts/lib/ptxd_make_world_install.sh
@@ -37,7 +37,7 @@ ptxd_make_world_install_python_cleanup() {
 	    # not python3 or already handled
 	    continue
 	fi
-	cp -v "$(dirname "${file}")/__pycache__/$(basename "${file%py}")"cpython-??.pyc "${file}c" || return
+	cp -v "$(dirname "${file}")/__pycache__/$(basename "${file%py}")"cpython-???.pyc "${file}c" || return
     done &&
     check_pipe_status &&
     find "${pkg_pkg_dir}" -type d -name __pycache__  -print0 | xargs -0 rm -rf &&
-- 
2.32.0




  parent reply	other threads:[~2022-05-03  7:51 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-03  7:50 [ptxdist] [PATCH 0/2] Python3 version bump David Jander
2022-05-03  7:50 ` [ptxdist] [PATCH 1/2] cython3: version bump 0.29.14 -> 0.29.28 David Jander
2022-05-09  6:29   ` [ptxdist] [APPLIED] " Michael Olbrich
2022-05-03  7:50 ` David Jander [this message]
2022-05-09  6:29   ` [ptxdist] [APPLIED] python3: version bump 3.7.10 -> 3.10.4 Michael Olbrich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220503075029.1429521-3-david@protonic.nl \
    --to=david@protonic.nl \
    --cc=bst@pengutronix.de \
    --cc=m.olbrich@pengutronix.de \
    --cc=mkl@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox